Ryzom - Feature # 970

Status: Closed Priority: Normal
Author: kervala Category: NeL: General
Created: 06/08/2010 Assignee: kervala
Updated: 07/15/2010 Due date:

Subiject: Move all window and input related methods to a new file from OpenGL driver
Description

driver_opengl.cpp is too big and very difficult to maintain. Windows management methods are not grouped and there are a lot of

duplicated parts.

It should contain all or almost 100% of code concerning OpenGL parts.

This step is necessary to implement new functionalities to OpenGL driver (MSAA, CSAA, etc...).

History

#1 - 06/08/2010 07:17 pm - kervala
- % Done changed from 0 to 50

#2 - 06/12/2010 03:36 pm - kervala
- % Done changed from 50 to 70

#3 - 06/12/2010 05:30 pm - kervala

- Status changed from Assigned to Resolved
- Target version set to Version 0.8.0

- % Done changed from 70 to 100

#4 - 07/15/2010 04:40 pm - kervala
- Status changed from Resolved to Closed
